package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmTaskTrack;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 可辨识性分析总任务业务对象 algorithm_task_track
 *
 * @author wangkang
 * @date 2025-01-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmTaskTrack.class, reverseConvertGenerate = false)
public class AlgorithmTaskTrackBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 开始时间
     */
    @NotNull(message = "开始时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @NotNull(message = "结束时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    @NotNull(message = "耗时不能为空")
    private Long costSecond;

    /**
     * 日志
     */
    @NotBlank(message = "日志不能为空")
    private String log;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String remarks;

    /**
     * 系统
     */
    @NotBlank(message = "系统不能为空")
    private String system;


}
